Subject: Re: [PATCH net] pppoe: fix reception of frames with no mac header

From: Guillaume Nault <[email-masked]>
Date: Fri, 14 Sep 2018 16:35:00 +0200

On Fri, Sep 14, 2018 at 04:28:05PM +0200, Guillaume Nault wrote:
> pppoe_rcv() needs to look back at the Ethernet header in order to
> lookup the PPPoE session. Therefore we need to ensure that the mac
> header is big enough to contain an Ethernet header. Otherwise
> eth_hdr(skb)->h_source might access invalid data.
> 
Forgot to Cc Alexander :/
Sorry...
BTW, thanks for your first analysis.